Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.tapestry5.corelib.data
Enum GridPagerPosition

    java.lang.Object
      java.lang.Enum<GridPagerPosition>
          org.apache.tapestry5.corelib.data.GridPagerPosition

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<GridPagerPosition>

    public enum GridPagerPosition

extends java.lang.Enum<GridPagerPosition>

Used by the `Grid` component to control where the pager portion of the Grid should be displayed.

Enum Constant Summary
`BOTH` Show the pager above and below the Grid's table.
`BOTTOM` Position the pager below the Grid's table (this is the default).
`NONE` Don't show a pager (the application will need to supply its own navigation mechanism).
`TOP` Position the pager above the Grid's table.

Method Summary
`boolean` | `isMatchBottom()`
`boolean` | `isMatchTop()`
`static GridPagerPosition` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static GridPagerPosition[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TOP

    public static final GridPagerPosition TOP

  Position the pager above the Grid's table.

### BOTTOM

    public static final GridPagerPosition BOTTOM

  Position the pager below the Grid's table (this is the default).

### BOTH

    public static final GridPagerPosition BOTH

  Show the pager above and below the Grid's table.

### NONE

    public static final GridPagerPosition NONE

  Don't show a pager (the application will need to supply its own navigation mechanism).

Method Detail

### values

    public static final GridPagerPosition[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(GridPagerPosition c : GridPagerPosition.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static GridPagerPosition valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### isMatchBottom

    public boolean isMatchBottom()

### isMatchTop

    public boolean isMatchTop()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2003-2012 The Apache Software Foundation.